import request from '@/utils/request'

// 确认设备清洁
export function handleConfirmCleaning(data) {
  return request({
    url: '/pssr/cleaning/confirmCleaning',
    method: 'put',
    data: data
  })
}

// 驳回设备清洁
export function handleTurnDownCleaning(data) {
  return request({
    url: '/pssr/cleaning/turnDownCleaning',
    method: 'put',
    data: data
  })
}

// 查询设备清洁列表
export function listCleaning(query) {
  return request({
    url: '/pssr/cleaning/list',
    method: 'get',
    params: query
  })
}

// 查询设备清洁详细
export function getCleaning(id) {
  return request({
    url: '/pssr/cleaning/' + id,
    method: 'get'
  })
}

// 新增设备清洁
export function addCleaning(data) {
  return request({
    url: '/pssr/cleaning',
    method: 'post',
    data: data
  })
}

// 修改设备清洁
export function updateCleaning(data) {
  return request({
    url: '/pssr/cleaning',
    method: 'put',
    data: data
  })
}

//
export function updateCleaningBatch(data) {
  return request({
    url: '/pssr/cleaning/editBatch',
    method: 'put',
    data: data
  })
}


// 删除设备清洁
export function delCleaning(id) {
  return request({
    url: '/pssr/cleaning/' + id,
    method: 'delete'
  })
}

// 导出设备清洁
export function exportCleaning(query) {
  return request({
    url: '/pssr/cleaning/export',
    method: 'get',
    params: query
  })
}
